import { OutputFlags } from "@oclif/parser";
import { ITBConfig } from "./tb-config";
/**
 * Read config file, expanding relative paths to absolute and
 * recursively reading extends
 * @param fileOrDir config file path or directory with a tbconfig.json
 */
export declare function readConfig(fileOrDir?: string): ITBConfig | undefined;
/**
 * Executes the pemberly-tracerbench serve:compare command with terminal stdout summary
 * @param configFileOrDir - path to a tbconfig.json file (configuration file)
 * @param flags - relative subset of flags for a given command
 * @param explicitFlags - overwriting flags coming from the CLI session directly eg. --headless, --url etc.
 */
export declare function getConfig(configFileOrDir: string | undefined, flags: OutputFlags<any>, explicitFlags: string[]): ITBConfig;
//# sourceMappingURL=build-config.d.ts.map