"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs_extra_1 = require("fs-extra");
const JSON5 = require("json5");
const path_1 = require("path");
/*
  FILTERS OUT THE CONTROL AND EXPERIMENT SAMPLES FROM CONTROL.JSON
*/
function parseCompareResult(inputFilePath) {
    let inputData;
    // read the compare.json file
    try {
        inputData = JSON5.parse(fs_extra_1.readFileSync(path_1.resolve(inputFilePath), "utf8"));
        // grab all control samples
        const controlData = inputData.find((element) => {
            return element.set === "control";
        });
        // grab all experiment samples
        const experimentData = inputData.find((element) => {
            return element.set === "experiment";
        });
        // throw if either control or experiment samples not found
        if (!controlData || !experimentData) {
            throw new Error(`The compare.json file is missing the control or experiment data. Likely the benchmark did not run`);
        }
        return {
            controlData,
            experimentData,
        };
    }
    catch (error) {
        throw new Error(`The compare.json cannot be parsed. Likely the benchmark did not run. Confirm ${inputFilePath} is valid JSON`);
    }
}
exports.default = parseCompareResult;
//# sourceMappingURL=parse-compare-result.js.map